Orxonox: orxonox::MetaObjectListElement Class Reference

# orxonox::MetaObjectListElement Class Reference

The list-element of the MetaObjectList. More...

`#include <src/core/MetaObjectList.h>`

List of all members.

## Public Member Functions

| MetaObjectListElement (ObjectListBase *list, ObjectListBaseElement *element)
| Constructor: Creates the list-element with given list and element.
| ~MetaObjectListElement ()
| Destructor: Removes the ObjectListBaseElement from the ObjectListBase by linking next_ and prev_ of the ObjectListBaseElement.

## Public Attributes

ObjectListBaseElement * | element_
| The list element, containing the object.
ObjectListBase * | list_
| The list, containing the element.
MetaObjectListElement * | next_
| The next Element in the list.

## Detailed Description

The list-element of the MetaObjectList.

## Constructor & Destructor Documentation

orxonox::MetaObjectListElement::MetaObjectListElement | ( | ObjectListBase * | list,
|  | ObjectListBaseElement * | element |
| ) |  |  | `[inline]`

Constructor: Creates the list-element with given list and element.

orxonox::MetaObjectListElement::~MetaObjectListElement | ( |  | ) |

Destructor: Removes the ObjectListBaseElement from the ObjectListBase by linking next_ and prev_ of the ObjectListBaseElement.

References COUT, element_, orxonox::ObjectListBase::first_, orxonox::ObjectListBase::getIdentifier(), orxonox::Identifier::getName(), orxonox::ObjectListBase::last_, list_, orxonox::ObjectListBaseElement::next_, orxonox::ObjectListBase::notifyIterators(), orxonox::ObjectListBaseElement::objectBase_, and orxonox::ObjectListBaseElement::prev_.

## Member Data Documentation

ObjectListBaseElement* orxonox::MetaObjectListElement::element_

The list element, containing the object.

Referenced by ~MetaObjectListElement().

ObjectListBase* orxonox::MetaObjectListElement::list_

The list, containing the element.

Referenced by ~MetaObjectListElement().

MetaObjectListElement* orxonox::MetaObjectListElement::next_

The next Element in the list.

Referenced by orxonox::MetaObjectList::add(), and orxonox::MetaObjectList::~MetaObjectList().

The documentation for this class was generated from the following files:

- src/core/MetaObjectList.h
- src/core/MetaObjectList.cc